OpenTTD Source: RealSpriteGroup Struct Reference

OpenTTD Source 15.0-beta1

Data Fields | Protected Member Functions
RealSpriteGroup Struct Reference
Inheritance diagram for RealSpriteGroup:

## Data Fields
std::vector< const SpriteGroup * > | loaded
| List of loaded groups (can be SpriteIDs or Callback results)
std::vector< const SpriteGroup * > | loading
| List of loading groups (can be SpriteIDs or Callback results)
Data Fields inherited from SpriteGroup
uint32_t | nfo_line
SpriteGroupType | type
Data Fields inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_spritegroup_pool >
Tindex | index
| Index of this pool item.

## Protected Member Functions
const SpriteGroup * | Resolve (ResolverObject &object) const override
| Base sprite group resolver.
Protected Member Functions inherited from SpriteGroup
| SpriteGroup (SpriteGroupType type)

## Additional Inherited Members
Public Types inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_spritegroup_pool >
typedef struct Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero > | Pool
| Type of the pool this item is going to be part of.
Public Member Functions inherited from SpriteGroup
virtual SpriteID | GetResult () const
virtual uint8_t | GetNumResults () const
virtual uint16_t | GetCallbackResult () const
Public Member Functions inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_spritegroup_pool >
void * | operator new (size_t size)
| Allocates space for new Titem.
void * | operator new (size_t size, size_t index)
| Allocates space for new Titem with given index.
void * | operator new (size_t, void *ptr)
| Allocates space for new Titem at given memory address.
void | operator delete (void *p)
| Marks Titem as free.
Static Public Member Functions inherited from SpriteGroup
static const SpriteGroup * | Resolve (const SpriteGroup *group, ResolverObject &object, bool top_level=true)
| ResolverObject (re)entry point.
Static Public Member Functions inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_spritegroup_pool >
static bool | CanAllocateItem (size_t n=1)
| Helper functions so we can use PoolItem::Function() instead of _poolitem_pool.Function()
static bool | CleaningPool ()
| Returns current state of pool cleaning - yes or no.
static bool | IsValidID (size_t index)
| Tests whether given index can be used to get valid (non-nullptr) Titem.
static Titem * | Get (size_t index)
| Returns Titem with given index.
static Titem * | GetIfValid (size_t index)
| Returns Titem with given index.
static size_t | GetPoolSize ()
| Returns first unused index.
static size_t | GetNumItems ()
| Returns number of valid items in the pool.
static void | PostDestructor (size_t index)
| Dummy function called after destructor of each member.
static Pool::IterateWrapper< Titem > | Iterate (size_t from=0)
| Returns an iterable ensemble of all valid Titem.

## Detailed Description

Definition at line 79 of file newgrf_spritegroup.h.

## Constructor & Destructor Documentation

## ◆ RealSpriteGroup()

RealSpriteGroup::RealSpriteGroup | ( |  | ) |
| inline

Definition at line 80 of file newgrf_spritegroup.h.

## Member Function Documentation

## ◆ Resolve()

const SpriteGroup * RealSpriteGroup::Resolve | ( | ResolverObject & | object | ) | const
| overrideprotectedvirtual

Base sprite group resolver.

Reimplemented from SpriteGroup.

Definition at line 277 of file newgrf_spritegroup.cpp.

## Field Documentation

## ◆ loaded

std::vector<const SpriteGroup *> RealSpriteGroup::loaded

List of loaded groups (can be SpriteIDs or Callback results)

Definition at line 89 of file newgrf_spritegroup.h.

Referenced by ResolverObject::ResolveReal(), VehicleResolverObject::ResolveReal(), and StationResolverObject::ResolveReal().

## ◆ loading

std::vector<const SpriteGroup *> RealSpriteGroup::loading

List of loading groups (can be SpriteIDs or Callback results)

Definition at line 90 of file newgrf_spritegroup.h.

Referenced by ResolverObject::ResolveReal(), VehicleResolverObject::ResolveReal(), RoadStopResolverObject::ResolveReal(), and StationResolverObject::ResolveReal().

The documentation for this struct was generated from the following files:

- src/newgrf_spritegroup.h
- src/newgrf_spritegroup.cpp